<?php
// $Id: udcountdown_cron.inc,v 1.1.2.1.2.1 2010/04/28 15:56:24 mtecknology Exp $

/**
 * @file
 * Cron function
 *
 * The cron for this module is large so it's in it's own file.
 */

/**
 * Cron function
 */
function udcountdown_cron_run($force = FALSE) {
  $cache = file_directory_path() . "/countdown/";
  $pointerver = trim(file_get_contents('http://edge.launchpad.net/ubuntu-drupal-countdown/misc/release-version/+download/pointer'));
  $pointer = 'https://launchpad.net/ubuntu-drupal-countdown/banners/' . $pointerver;

  udcountdown_checkver($cache, $pointer, $force);
}

/**
 * Check if banner source changed
 */
function udcountdown_checkver($cache, $pointer, $force = FALSE) {
  $curval = file_get_contents($pointer .  '/+download/rv');

  $relver = variable_get('udcountdown_relver', 'aaaa01');

  if ($relver != $curval || $force == TRUE) {
    udcountdown_pullver($cache, $pointer);
    variable_set('udcountdown_relver', $curval);
  }
}

/**
 * Pull latest banner source
 */
function udcountdown_pullver($cache, $pointer) {
  shell_exec('rm -rf ' . $cache);
  shell_exec('mkdir ' . $cache);
  shell_exec('/usr/bin/wget -nd -m -P ' . $cache . ' ' . $pointer . '/+download/banners.tgz');
  shell_exec('cd ' . $cache . ' && tar zxf banners.tgz ');
}

